using FluentValidation;

namespace Indotalent.Features.Purchase.PurchaseRequisition.Cqrs;

public class CreatePurchaseRequisitionValidator : AbstractValidator<CreatePurchaseRequisitionRequest>
{
    public CreatePurchaseRequisitionValidator()
    {
        RuleFor(x => x.RequisitionDate).NotEmpty().WithMessage("Date is required");
        RuleFor(x => x.VendorId).NotEmpty().WithMessage("Vendor is required");
    }
}